Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.webservicex
Class ObjectFactory

    java.lang.Object
      net.webservicex.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the net.webservicex package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: net.webservicex

Method Summary
`GetQuote` | `createGetQuote()` Create an instance of `GetQuote`
`GetQuoteResponse` | `createGetQuoteResponse()` Create an instance of `GetQuoteResponse`
`javax.xml.bind.JAXBElement<String>` | `createString(String value)` Create an instance of `JAXBElement``<``String``>`}

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: net.webservicex

Method Detail

### createGetQuote

    public GetQuote createGetQuote()

  Create an instance of `GetQuote`

### createGetQuoteResponse

    public GetQuoteResponse createGetQuoteResponse()

  Create an instance of `GetQuoteResponse`

### createString

    public javax.xml.bind.JAXBElement<String> createString(String value)

  Create an instance of `JAXBElement``<``String``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.